package com.younike.hlpay.constant;

public enum PayType {
    /**
     * 刷卡/被扫
     */
    SWIPE("刷卡", 1),
    /**
     * 动态码/主扫
     */
    SCAN("扫码", 2),
    /**
     * h5/wap
     */
    WAP("WAP", 3),
    /**
     * 微信公众号即服务号:必须配置appid及授权目录,关注appid非必须配
     * 支付宝服务窗无需配置
     * 银联js无需配置
     */
    PUBLIC("公众号支付", 4),
    /**
     * 微信sdk-app模式:必须配置appid,授权目录无需配置,关注appid无需配置
     * 支付宝app
     */
    SDK("SDK", 5),
    /**
     * 微信小程序:必须配置appid,授权目录无需配置,关注appid非必须配
     * 支付宝小程序无需配置
     */
    APPLET("小程序", 6),
    ;

    PayType(String s, Integer i) {
        this.desc = s;
        this.index = i;
    }


    private String desc;
    private Integer index;

    public String getDesc() {
        return desc;
    }

    public Integer getIndex() {
        return index;
    }
}
